Bug 426142 - javax.imageio.ImageIO.read() fails for some PNGs
javax.imageio.ImageIO.read() fails for some PNGs
Product: Fedora
Classification: Fedora
Component: java-1.7.0-icedtea (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Fitzsimmons
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-18 14:29 EST by Joel Uckelman
Modified: 2008-01-03 13:01 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-03 13:01:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
test program (241 bytes, text/x-java)
2007-12-18 14:29 EST, Joel Uckelman
no flags Details
an image which exhibits the problem (23.34 KB, image/png)
2007-12-18 14:41 EST, Joel Uckelman
no flags Details

  None (edit)
Description Joel Uckelman 2007-12-18 14:29:41 EST
Description of problem:

Some PNGs which earlier versions of the JDK (e.g. 1.6.0_03) could load now
cause a RasterFormatException to be thrown.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Build the attached program.
2. Run 'java Test test.png'
Actual results:

A RasterFormatException is thrown.

Expected results:

The program should load the image and exit normally.

Additional info:

This worked in JDKs from the 1.5 and 1.6 series. I've attached a minimal test
program and an image which exhibit the problem.
Comment 1 Joel Uckelman 2007-12-18 14:29:41 EST
Created attachment 289924 [details]
test program
Comment 2 Joel Uckelman 2007-12-18 14:41:59 EST
Created attachment 289926 [details]
an image which exhibits the problem

Note that it's only some PNGs which seem to trigger the problem. All of the
ones which fail this way ImageMagick's 'identify' says are 'PseudoClass 8c
Comment 3 Lillian Angel 2007-12-27 11:04:45 EST
I have verified that this is a bug in IcedTea and not OpenJDK
Comment 4 Lillian Angel 2007-12-28 09:54:03 EST
This has been fixed in the repository.
It will be in rawhide when the next version of IcedTea is released.
Comment 5 Lillian Angel 2008-01-03 13:01:03 EST
Should be available in rawhide within the next couple of days.

Note You need to log in before you can comment on or make changes to this bug.